import { pageRoute, pageUnroute, bypassFetch, } from 'wrightplay';
export default class WPRoute {
    constructor() {
        // eslint-disable-next-line class-methods-use-this
        Object.defineProperty(this, "fetch", {
            enumerable: true,
            configurable: true,
            writable: true,
            value: (...args) => bypassFetch(...args)
        });
        Object.defineProperty(this, "handler", {
            enumerable: true,
            configurable: true,
            writable: true,
            value: async (route, routeRequest) => {
                const request = new Request(routeRequest.url(), {
                    body: routeRequest.postDataBlob(),
                    headers: routeRequest.headersArray().map(({ name, value }) => [name, value]),
                });
                await route.fulfill({
                    response: await this.fetch(request),
                });
            }
        });
    }
    async activate() {
        await pageRoute('', this.handler);
    }
    async restore() {
        await pageUnroute('', this.handler);
    }
}
//# sourceMappingURL=index.js.map